import java.awt.Dimension;
import javax.swing.*;
import java.util.Vector;

public class CurrentConnectionsPanel extends JPanel {
	private JList connectionList;
	private JScrollPane connectionScroll;
	private DefaultListModel connectionListModel;
	private MainWindow parent;

	public CurrentConnectionsPanel(MainWindow p) {
		connectionListModel = new DefaultListModel();
		connectionList = new JList(connectionListModel);
		parent = p;

		parent.getServer().registerConnectionPanel(this);

		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

		connectionScroll = new JScrollPane(connectionList);
		connectionScroll.setMaximumSize(new Dimension(10000, 10000));
		add(connectionScroll);
	}

	public void fillConnectionList() {
		Vector cons = parent.getServer().getActiveConnections();
		int c;

		connectionListModel.removeAllElements();
		for(c=0;c<cons.size();c++) {
			connectionListModel.addElement(cons.elementAt(c));
		}

		repaint();
	}
}
