import javax.swing.*;

public class MainWindow extends JFrame {
	public FTPServer server;

	public JTabbedPane tabs;

	public MainWindow(FTPServer s) {
		server = s;

		tabs = new JTabbedPane();
		tabs.add("Users", new UserManagerPanel(this));
		tabs.add("Virtual Roots", new JLabel("VirtualRoots"));
		tabs.add("File Security", new JLabel("FileSecurity"));
		tabs.add("Current Connections", new CurrentConnectionsPanel(this));

		getContentPane().add(tabs);
//		getContentPane().add(new UserManagerPanel(this));
	}

	public FTPServer getServer() {
		return server;
	}
}