public class ServerOptions {
	/**
	*	Constants defining the source of the filesystem tree
	*/
	public static final int FILESYSTEM_SOURCE_PHYSICAL		=	0;
	public static final int FILESYSTEM_SOURCE_DATABASE		=	1;

	/**
	*	Constants defining the source of the information for user accounts
	*/
	public static final int USERS_SOURCE_TEXTFILE		=	0;
	public static final int USERS_SOURCE_DATABASE		=	1;
	public static final int USERS_SOURCE_XML				=	2;

	/**
	*	Constants defining the type of physical filesystem detected, if applicable
	*/
	public static final int PHYSICAL_FILESYSTEM_WINDOWS	=	0;
	public static final int PHYSICAL_FILESYSTEM_UNIX		=	1;
	public static final int PHYSICAL_FILESYSTEM_MACINTOSH	=	2;

	/**
	*	Static members with general information about the server and users
	*/
	public static int serverPort;
	public static int maximumNumberOfUsers;
	public static int maximumNumberOfAnonymousUsers;

	public static int maximumUserLevel;

	/**
	*	Static members defining where data is to be drawn from
	*/
	public static int filesystemSource;
	public static int userSource;
}